Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xom
Class DocumentWrapper

    java.lang.Object
      net.sf.saxon.xom.NodeWrapper
          net.sf.saxon.xom.DocumentWrapper

All Implemented Interfaces:
  DocumentInfo, Item, NodeInfo, SiblingCountingNode, javax.xml.transform.Source, ValueRepresentation, VirtualNode

public class DocumentWrapper
extends NodeWrapper
implements DocumentInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Field Summary
`protected java.lang.String` | `baseURI`
`protected Configuration` | `config`
`protected int` | `documentNumber`

Fields inherited from class net.sf.saxon.xom.NodeWrapper
`docWrapper, index, node, nodeKind`

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, LOCAL_NAMESPACES, NO_NAMESPACES`

Constructor Summary
`DocumentWrapper(nu.xom.Document doc, java.lang.String baseURI, Configuration config)` Create a Saxon wrapper for a XOM document

Method Summary
`Configuration` | `getConfiguration()` Get the configuration previously set using setConfiguration
`int` | `getDocumentNumber()` Get the unique document number for this document (the number is unique for all documents within a NamePool)
`NamePool` | `getNamePool()` Get the name pool used for the names in this document
`java.lang.String[]` | `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
`NodeInfo` | `selectID(java.lang.String id)` Get the element with a given ID, if any
`void` | `setConfiguration(Configuration config)` Set the configuration, which defines the name pool used for all names in this document.
`VirtualNode` | `wrap(nu.xom.Node node)` Wrap a node in the XOM document.

Methods inherited from class net.sf.saxon.xom.NodeWrapper
`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getSiblingPosition, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getTypedValue, getUnderlyingNode, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, makeWrapper, makeWrapper, sendNamespaceDeclarations, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.om.NodeInfo
`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getDeclaredNamespaces, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Field Detail

### config

    protected Configuration config

### baseURI

    protected java.lang.String baseURI

### documentNumber

    protected int documentNumber

Constructor Detail

### DocumentWrapper

    public DocumentWrapper(nu.xom.Document doc,
                           java.lang.String baseURI,
                           Configuration config)

  Create a Saxon wrapper for a XOM document

Parameters:
  `doc` - The XOM document
  `baseURI` - The base URI for all the nodes in the document
  `config` - The configuration which defines the name pool used for all names in this document

Method Detail

### wrap

    public VirtualNode wrap(nu.xom.Node node)

  Wrap a node in the XOM document.

  Parameters:
    `node` - The node to be wrapped. This must be a node in the same document (the system does not check for this).
  Returns:
    the wrapping NodeInfo object

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration, which defines the name pool used for all names in this document. This is always called after a new document has been created. The implementation must register the name pool with the document, so that it can be retrieved using getNamePool(). It must also call NamePool.allocateDocumentNumber(), and return the relevant document number when getDocumentNumber() is subsequently called.

  Specified by:
    `setConfiguration` in interface `DocumentInfo`
  Parameters:
    `config` - The configuration to be used

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration

  Specified by:
    `getConfiguration` in interface `NodeInfo`
  Overrides:
    `getConfiguration` in class `NodeWrapper`

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Overrides:
    `getNamePool` in class `NodeWrapper`
  Returns:
    the name pool in which all the names used in this document are registered

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number for this document (the number is unique for all documents within a NamePool)

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Overrides:
    `getDocumentNumber` in class `NodeWrapper`
  Returns:
    the unique number identifying this document within the name pool

### selectID

    public NodeInfo selectID(java.lang.String id)

  Get the element with a given ID, if any

  Specified by:
    `selectID` in interface `DocumentInfo`
  Parameters:
    `id` - the required ID value
  Returns:
    the element with the given ID, or null if there is no such ID present (or if the parser has not notified attributes as being of type ID). This implementation does not necessarily conform to the rule that if an invalid document contains two elements with the same ID, the one that comes last should be returned

### getUnparsedEntity

    public java.lang.String[] getUnparsedEntity(java.lang.String name)

  Get the unparsed entity with a given name

  Specified by:
    `getUnparsedEntity` in interface `DocumentInfo`
  Parameters:
    `name` - the name of the entity
  Returns:
    null: XOM does not provide access to unparsed entities

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD